Bug 799393 - [abrt] evolution-3.2.3-1.fc16: g_malloc0: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.2.3-1.fc16: g_malloc0: Process /usr/bin/evolution was kill...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:0a0296fa8dc8d313c53aaac2353...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 11:23 EST by Thomas Defranc
Modified: 2012-03-05 03:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-05 03:13:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (18.62 KB, text/plain)
2012-03-02 11:23 EST, Thomas Defranc
no flags Details
File: gconf_subtree (20.04 KB, text/plain)
2012-03-02 11:23 EST, Thomas Defranc
no flags Details
File: build_ids (7.37 KB, text/plain)
2012-03-02 11:23 EST, Thomas Defranc
no flags Details
File: maps (87.59 KB, text/plain)
2012-03-02 11:23 EST, Thomas Defranc
no flags Details
File: backtrace (42.31 KB, text/plain)
2012-03-02 11:23 EST, Thomas Defranc
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 671337 None None None Never

  None (edit)
Description Thomas Defranc 2012-03-02 11:23:35 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
comment:        I added an appointment on my calendar
crash_function: g_malloc0
executable:     /usr/bin/evolution
kernel:         3.2.7-1.fc16.x86_64
pid:            2432
pwd:            /home/thomas
reason:         Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
time:           Fri 02 Mar 2012 05:20:27 PM CET
uid:            1000
username:       thomas
var_log_messages: Mar  2 17:20:28 localhost abrt[2665]: Saved core dump of pid 2432 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-02-17:20:27-2432 (130129920 bytes)

backtrace:      Text file, 43327 bytes
build_ids:      Text file, 7544 bytes
dso_list:       Text file, 19072 bytes
gconf_subtree:  Text file, 20522 bytes
maps:           Text file, 89694 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=58051fe70ec017309a088f9100000011-1330701328.832152-685176435
:GNOME_KEYRING_CONTROL=/tmp/keyring-S2uznV
:IMSETTINGS_MODULE=none
:USER=thomas
:USERNAME=thomas
:MAIL=/var/spool/mail/thomas
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/thomas/.local/bin:/home/thomas/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/thomas
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1706
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/thomas
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=thomas
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LQZ8h9KiP1,guid=cee194cb15af7a94982224be00000052
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/thomas
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-thomas-bgrdSM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1715,unix/unix:/tmp/.ICE-unix/1715
:GPG_AGENT_INFO=/tmp/keyring-S2uznV/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-S2uznV/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1949-localhost.localdomain-evolution-2_TIME1189161
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2432

smolt_data:
:
:
:General
:=================================
:UUID: 7bad3ca3-88b2-40b5-93de-a474583b63e2
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4188.51
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core CPU       T4300  @ 2.10GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 3923
:System Swap: 5983
:Vendor: Sony Corporation
:System: VGN-NW21EF_S C602EK2L
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4173:36971) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4173:36971) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4173:36971) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4173:36971) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4173:36971) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(4523:17280:4173:36971) pci, sky2, ETHERNET, 88E8057 PCI-E Gigabit Ethernet Controller
:(32902:10549:4173:36971) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4173:36971) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10553:4173:36971) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4173:36971) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(4480:2098:4173:36971) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4173:36971) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10554:4173:36971) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4173:36971) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(5772:42:4187:57351) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(4480:1426:4173:36971) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(32902:10564:4173:36971) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10560:4173:36971) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4173:36971) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4173:36971) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4173:36971) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10548:4173:36971) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4098:43576:4173:36971) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38227:4173:36971) pci, radeon, VIDEO, M92 [Mobility Radeon HD 4500/5100 Series]
:(32902:10552:4173:36971) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 13092026 10794115 10663093 3276800 3025149 3025149
:/dev/sda2 /boot ext4 1024 1024 508745 410568 384968 128016 127779 127779
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 63299705 32641041 29472376 15843328 15746537 15746537
:

xsession_errors:
:evolution: malloc.c:2453: sYSMALLOc: Assertion `(old_top == (((mbinptr) (((char *) &((av)->bins[((1) - 1) * 2])) - __builtin_offsetof (struct malloc_chunk, fd)))) && old_size == 0) || ((unsigned long) (old_size) >= (unsigned long)((((__builtin_offsetof (struct malloc_chunk, fd_nextsize))+((2 * (sizeof(size_t))) - 1)) & ~((2 * (sizeof(size_t))) - 1))) && ((old_top)->size & 0x1) && ((unsigned long)old_end & pagemask) == 0)' failed.
:(evolution:2706): libecal-WARNING **: e_cal_client_new: Cannot get calendar from factory: No backend factory for 'google' of 'VEVENT'
:(evolution:2706): libecal-WARNING **: e_cal_client_new: Cannot get calendar from factory: No backend factory for 'google' of 'VEVENT'
:(evolution:2706): libecal-WARNING **: e_cal_client_new: Cannot get calendar from factory: No backend factory for 'google' of 'VEVENT'
Comment 1 Thomas Defranc 2012-03-02 11:23:39 EST
Created attachment 567099 [details]
File: dso_list
Comment 2 Thomas Defranc 2012-03-02 11:23:42 EST
Created attachment 567101 [details]
File: gconf_subtree
Comment 3 Thomas Defranc 2012-03-02 11:23:44 EST
Created attachment 567102 [details]
File: build_ids
Comment 4 Thomas Defranc 2012-03-02 11:23:48 EST
Created attachment 567103 [details]
File: maps
Comment 5 Thomas Defranc 2012-03-02 11:23:50 EST
Created attachment 567104 [details]
File: backtrace
Comment 6 Milan Crha 2012-03-05 03:13:52 EST
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=671337

Note You need to log in before you can comment on or make changes to this bug.